#######################################################################################
#  Custom Ship Plugin                                                                 #
#  Created by BC - Mod Packager                                                       #
#  Date: 5/27/2002                                                                    #
#  Modified by Phaser on 7/8/2007                                                     #
#######################################################################################
#                                                                                     #
import Foundation
import App
#                                                                                     #
#######################################################################################
#                                                                                     #
abbrev = 'Constitution2ndPilot'
iconName = 'Constitution2ndPilot'
longName = 'USS Enterprise-2nd Pilot'
shipFile = 'Constitution2ndPilot' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = "Constitution Class"
SubSubMenu = "TOS"
species = App.SPECIES_GALAXY
#                                                                                     #
#######################################################################################
#                                                                                     #
# Mod Info.  Use this as an opportunity to describe your work in brief.  This may     #
# have use later on for updates and such.                                             #
#                                                                                     #
credits = {
	'modName': 'Constitution2ndPilot',
	'author': 'Aaron Gendler a.k.a. Phaser',
	'version': '1.0',
	'sources': [ '' ],
	'comments': ''
}
#                                                                                     #
#######################################################################################
#                                                                                     #
# This is the ShipDef that adds the Ship to the game... BC-Mod Packager has           #
# automatically generated the proper ShipDef Line for you.                            #
#                                                                                     #
Foundation.ShipDef.Constitution2ndPilot = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })
Foundation.ShipDef.Constitution2ndPilot.sBridge = 'ConstitutionTASbridge'
#                                                                                     #

#######################################################################################
#                                                                                     #
# Uncomment these if you have TGL  
# Foundation.ShipDef.Constitution2ndPilot.hasTGLName = 1
# Foundation.ShipDef.Constitution2ndPilot.hasTGLDesc = 1

# Otherwise, uncomment this and type something in:
Foundation.ShipDef.Constitution2ndPilot.desc = 'This was the second configuration of the USS Enterprise, seen in the 2nd pilot episode of TOS, "Where No Man Has Gone Before."  The Enterprise underwent a refit during the year 2265, changing her appearance from that seen in the first pilot episode to what is seen here.  During this year she also changed captains, from Christopher Pike to James T. Kirk.\n\nLike with the first pilot, fly-by shots of this variant were used sporadically throughout the run of the show to save on production costs; the Enterprise was not actually in this configuration in any episode after the 2nd pilot.\n\nWeapons: 6 Phasers and 2 Photon Torpedo Launchers\n\nShield Rating: 5F 3.8A 4.5D 4.5V 3.8P 3.8S\n\nHull Rating: 7\n\nTactics: Standard Federation tactics apply.'
#                                                                                     #
#######################################################################################
#                                                                                     #
# These register the ship with the QuickBattle menus.  Don't touch them!!!            #
#                                                                                     #
if menuGroup:           Foundation.ShipDef.Constitution2ndPilot.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Constitution2ndPilot.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
#                                                                                     #
#######################################################################################
