#######################################################################################
#  Custom Ship Plugin                                                                 #
#  Created by BC - Mod Packager                                                       #
#  Date: 5/27/2002                                                                    #
#  Modified by Phaser on 7/8/2007                                                     #
#######################################################################################
#                                                                                     #
import Foundation
import App
#                                                                                     #
#######################################################################################
#                                                                                     #
abbrev = 'ConstitutionTOS'
iconName = 'ConstitutionTOS'
longName = 'USS Enterprise'
shipFile = 'ConstitutionTOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = "Constitution Class"
SubSubMenu = "TOS"
species = App.SPECIES_GALAXY
#                                                                                     #
#######################################################################################
#                                                                                     #
# Mod Info.  Use this as an opportunity to describe your work in brief.  This may     #
# have use later on for updates and such.                                             #
#                                                                                     #
credits = {
	'modName': 'ConstitutionTOS',
	'author': 'Aaron Gendler a.k.a. Phaser',
	'version': '1.0',
	'sources': [ '' ],
	'comments': ''
}
#                                                                                     #
#######################################################################################
#                                                                                     #
# This is the ShipDef that adds the Ship to the game... BC-Mod Packager has           #
# automatically generated the proper ShipDef Line for you.                            #
#                                                                                     #
Foundation.ShipDef.ConstitutionTOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })
Foundation.ShipDef.ConstitutionTOS.sBridge = 'Constitutionbridge'

#                                                                                     #
#######################################################################################
#                                                                                     #
# Uncomment these if you have TGL                                                     #
#                                                                                     #
# Foundation.ShipDef.ConstitutionTOS.hasTGLName = 1
# Foundation.ShipDef.ConstitutionTOS.hasTGLDesc = 1
#                                                                                     #
# Otherwise, uncomment this and type something in:                                    #
#                                                                                     #
Foundation.ShipDef.ConstitutionTOS.desc = 'Arguably the most famous of all Federation starship designs, the Constitution Class was introduced in the year 2240.  By 2267, 12 of these vessels were in service, the most famous being the USS Enterprise, the Federation flagship at the time.  The final commanding officer of the ship was Captain James T. Kirk, arguably the most famous captain in Starfleet history.\n\nMost ships of this class underwent a major overhaul in the year 2271.  Popularly referred to as the "Constitution Refit Class" or a similar name, the overhauled starship continued to serve the Federation until the end of the 23rd century, when the last of these vessels was decommissioned (though at least one was temporarily recommissioned in order to combat the Borg threat at Wolf 359).\n\nWeapons: 6 Phasers and 2 Photon Torpedo Launchers\n\nShield Rating: 5F 3.8A 4.5D 4.5V 3.8P 3.8S\n\nHull Rating: 7\n\nTactics: Standard Federation tactics apply.'
#                                                                                     #
#######################################################################################
#                                                                                     #
# These register the ship with the QuickBattle menus.  Don't touch them!!!            #
#                                                                                     #
if menuGroup:           Foundation.ShipDef.ConstitutionTOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.ConstitutionTOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
#                                                                                     #
#######################################################################################
